/** Shopify CDN: Minification failed

Line 249:19 The "-" operator only works if there is whitespace on both sides
Line 254:19 The "-" operator only works if there is whitespace on both sides

**/
.quick-add {
  position: relative;
  grid-row-start: 4;
  margin: 0 0 1rem;
  z-index: 1;
}

.card--card .quick-add {
  margin: 0 1.3rem 1rem;
}

.quick-add-modal {
  box-sizing: border-box;
  opacity: 0;
  position: fixed;
  visibility: hidden;
  z-index: -1;
  margin: 0 auto;
  top: 0;
  left: 0;
  width: 100%;
  background: rgba(var(--color-foreground), 0.2);
  height: 100%;
}

.quick-add-modal[open] {
  opacity: 1;
  visibility: visible;
  z-index: 101;
}

.quick-add-modal .scroll-trigger.scroll-trigger {
  animation: none;
  opacity: 1;
}

.quick-add-modal__content {
  --modal-height-offset: 3.2rem;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin: var(--modal-height-offset) auto 0; 
  background-color: rgb(var(--color-background));
  overflow: hidden;
  max-width: var(--page-width);
  width: 80%;
  border-radius: 10px;
}

@media screen and (min-width: 750px) {
  .quick-add-modal__content {
    --modal-height-offset: 2rem;
    margin-top: var(--modal-height-offset);
    width: 1150px;    
    height: auto;
    max-height: calc(100% - var(--modal-height-offset) * 2);    
    overflow-y: auto;
  }

  quick-add-modal .quick-add-modal__toggle {
    top: 1rem;
    right: 1rem;
  }
}

.quick-add-modal__content img {
  max-width: 100%;
  height: auto;
}

.quick-add-modal__content-info {
  --modal-padding: 3rem;
  padding-right: 3rem;
  display: flex;
  overflow-y: auto;
  overflow-x: hidden;
  padding: var(--modal-padding);
  height: 100%;
  border-radius: 10px;
  background: #FCFAF6;
}

.quick-add-modal__content-info > * {
  height: auto;
  margin: 0 auto;
  max-width: 100%;
  width: 100%;
}

.quick-add-modal__content-info h2 {
  font-size: 26px;
}


@media screen and (max-width: 749px) {
  quick-add-modal .slider .product__media-item.grid__item {
    margin-left: 1.5rem;
    margin-right: 1.5rem;
  }

  .quick-add-modal__content {
    bottom: var(--modal-height-offset);
  }

  .quick-add-modal__content-info > * {
    max-height: 100%;
  }

  quick-add-modal .product--mobile-columns .product__media-item {
    width: calc(100% - 3rem - var(--grid-mobile-horizontal-spacing));
  }
}

.quick-add-modal__toggle {
  background-color: transparent;
  border: none;
  border-radius: 0;
  color: #1F1F1F;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  padding: 1rem;
  z-index: 5;
  /* width: 1.8rem; */
  position: fixed;
  top: 2rem;
  right: 2rem;
}

.quick-add-modal__toggle svg path { fill: #1F1F1F }

.quick-add-modal__toggle:hover {
  color: rgba(var(--color-foreground), 0.75);
}

.quick-add-modal__toggle .icon {
  height: auto;
  margin: 0;
  width: 2.2rem;
}

quick-add-modal .product:not(.featured-product) .product__view-details {
  display: block;
}

/* quick-add-modal .quick-add-hidden {
 quick-add-modal .product__modal-opener:not(.product__modal-opener--image),
quick-add-modal .product__media-item:not(:first-child) {
  display: none !important;
} */

quick-add-modal .slider.slider--mobile {
  overflow: visible;
}

quick-add-modal .product__column-sticky .product__media-list {
  margin-bottom: 0;
}

quick-add-modal .product__media-list .deferred-media {
  display: block;
  width: 100%;
}

quick-add-modal .product__column-sticky {
  top: 0;
  position: relative;
}

.quick-add-modal .thumbnail-slider {
  left: -80px;
  max-width: 40rem;
}

.quick-add-modal .product--thumbnail_slider .slider-mobile-gutter .slider-button { min-width: 3rem; }

.quick-add-modal .carousel-wrapper .slider__slide {
  max-width: 41rem !important;
}

.quick-add-modal .product:not(.product--columns) .big-image-slider { padding-left: 10rem; }

.quick-add-modal__content:focus-visible,
.quick-add-modal__content:focus,
.quick-add-modal__content:focus-within {
  outline: none;
  box-shadow: none;
}

.quick-add-modal .product__media-wrapper { margin-right: 0; }

.quick-add-modal .product__title {
  margin-bottom: 10px;
  color: #1F1F1F;
}

.quick-add-modal .product__title:hover,
.quick-add-modal .product__title:focus,
.quick-add-modal .product__title:active {
  text-decoration: none;
}

.quick-add-modal .product__description p { font-weight: 500; }

.quick-add-modal .thumbnail-slider .thumbnail-list.slider--tablet-up { overflow: hidden; }

.quick-add-modal .thumbnail-list { grid-gap: 5px; }

.quick-add-modal .product--thumbnail_slider .slider-mobile-gutter .slider-button.slider-button--prev { margin-right: 5px; }
.quick-add-modal .product--thumbnail_slider .slider-mobile-gutter .slider-button.slider-button--next { margin-left: 5px; }

.quick-add-modal .product:not(.product--columns) { 
  justify-content: space-between; 
  padding-bottom: 20px;
}

.quick-add-modal .product:not(.product--columns) .big-image-slider {
  min-height: auto;
}

.quick-add-modal .box-shipping--popup .box-shipping__item p { font-size: 16px; }

.quick-add-modal .box-shipping--popup .box-shipping { margin-top: 20px; }

.quick-add-modal .box-shipping--popup .box-shipping { 
  border-top: 0; 
  flex-direction: column;
}

.quick-add-modal .box-shipping--popup .box-shipping__item {
  margin-right: 0;
  margin-bottom: 10px;
}

.quick-add-modal .box-shipping--popup { display: block; }
.quick-add-modal .box-shipping--main { display: none; }

@media screen and (min-width: 750px) {
  quick-add-modal .product:not(.product--no-media) .product__media-wrapper {
    max-width: 50%;
    width: calc(50%- var(--grid-desktop-horizontal-spacing) / 2);
  }

  quick-add-modal .product.product--columns:not(.product--no-media) .product__media-wrapper {
    max-width: 40%;
    width: calc(40%- var(--grid-desktop-horizontal-spacing) / 2);
  }

  quick-add-modal .product.product--columns:not(.product--no-media) .product__info-wrapper {
    /* padding-left: 3rem; */
    max-width: 60%;
    width: calc(60% - var(--grid-desktop-horizontal-spacing) / 2);
  }

  quick-add-modal .product:not(.product--no-media) .product__info-wrapper {
    /* padding-left: 3rem; */
    max-width: 50%;
    width: calc(50% - var(--grid-desktop-horizontal-spacing) / 2);
  }

  quick-add-modal .product--columns .product__media-item:not(.product__media-item--single):not(:only-child) {
    max-width: 100%;
    width: 100%;
  }
/* 
  quick-add-modal .thumbnail-slider .thumbnail-list.slider--tablet-up {
    display: none;
  } */
}

quick-add-modal .page-width {
  padding: 0;
}

quick-add-modal .product__title > h1 {
  display: none;
}

quick-add-modal .product__title > a {
  display: block;
  text-decoration: none;
}

quick-add-modal .product__title > a:hover {
  color: rgb(var(--color-foreground));
  text-decoration: underline;
  text-underline-offset: 0.2rem;
  text-decoration-thickness: 0.3rem;
}

quick-add-modal .product-form__buttons {
  max-width: initial;
}

quick-add-modal .button { padding: 12px 20px; }

.quick-add__submit {
  padding: 0.8rem;
  min-width: 100%;
  box-sizing: border-box;
}

quick-add-modal .product-media-container.constrain-height {
  --viewport-offset: calc((var(--modal-height-offset) + var(--modal-padding) + var(--popup-border-width)) * 2);
}

quick-add-modal .product__view-details { display: none !important; }

@media screen and (min-width: 750px) {
  quick-add-modal .product-media-container.constrain-height {
    --constrained-min-height: 400px;
  }
}

@media screen and (max-width: 1199px) {
  .quick-add-modal__content {
    width: calc(100% - 30px);
  }

  .quick-add-modal .thumbnail-slider {
    left: 0;
    max-width: 100%;
  }

  .quick-add-modal .product:not(.product--columns) .big-image-slider {
    padding-left: 0;
  }

  .quick-add-modal .product__media-wrapper,
  .quick-add-modal .carousel-wrapper .slider__slide:not(.thumbnail-list__item) {
    max-width: 50% !important;
    width: 50% !important;
  }

  .quick-add-modal .box-shipping--popup .box-shipping {
    padding-top: 0;
    margin-right: 30px;
  }
}

@media screen and (max-width: 991px) {
  quick-add-modal .product:not(.product--no-media) .product__info-wrapper,
  quick-add-modal .product:not(.product--no-media) .product__media-wrapper {
    width: 100% !important;
    max-width: 100% !important;
  }

  quick-add-modal .product__info-container {
    max-width: 100% !important;
  }

  .quick-add-modal__content {
    max-width: 70rem;
    height: calc(100% - 50px);
  }

  quick-add-modal .thumbnail-slider { display: none !important; }

  quick-add-modal .quick-add-modal__content-info { padding: 4.5rem !important; }

  quick-add-modal .product:not(.product--columns) .product__media-wrapper { margin-bottom: 0;  }

  .quick-add-modal__toggle {
    top: 1rem;
    right: 1rem;
    position: absolute;
    background: #FCFAF6;
    border-radius: 3px;
  }

  .quick-add-modal .box-shipping--popup,
  .quick-add-modal .box-dashed--responsive { display: none; }

  .quick-add-modal .box-shipping--main { display: block; }
}

@media screen and (max-width: 767px) {
  quick-add-modal .quick-add-modal__content-info {
    padding: 4.5rem 1.5rem 1.5rem !important;
  }
}
